API Direct
Endpoints
Substack User Profile

Substack User Profile

GET /v1/substack/user

Get a Substack author's full profile by handle, user ID or profile URL. Returns display name, bio, follower count, subscriber badge, bestseller tier, the publications they write for, profile links, X handle and leaderboard placement and the publications they subscribe to.

Cost
$0.003 per request
Free tier
50 requests/month

Parameters

username
Substack handle, e.g. lenny, with or without a leading @ (max 100 characters). Provide one of username, user_id or url.
user_id
Numeric Substack user ID, as returned in user_id. Provide one of username, user_id or url.
url
Profile URL, e.g. https://substack.com/@lenny (max 500 characters). Provide one of username, user_id or url.

Example Request

curl "https://apidirect.io/v1/substack/user?username=lenny"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "user": {
    "bestseller_tier": 10000,
    "biography": "Writing • Angel investing • Advising",
    "date_joined": "2021-05-01 23:55:21",
    "follower_count": 1383966,
    "full_name": "Lenny Rachitsky",
    "has_guest_posts": true,
    "has_posts": true,
    "is_bestseller": true,
    "leaderboard": {
      "board": "paid",
      "category": "Business",
      "category_id": 62,
      "rank": 1
    },
    "links": [
      {
        "label": "",
        "type": "twitter",
        "url": "https://x.com/lennysan"
      }
    ],
    "paid_subscriber_band": "Tens of thousands",
    "paid_subscriber_floor": 10000,
    "primary_publication": {
      "logo_url": "https://substack-post-media.s3.amazonaws.com/public/images/441213db-4824-4e48-9d28-a3a18952cbfc_592x592.png",
      "name": "Lenny's Newsletter",
      "publication_id": "10845",
      "subdomain": "lenny",
      "url": "https://www.lennysnewsletter.com"
    },
    "profile_pic_url": "https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/afba5161-65bb-4d99-8d6b-cce660917fa1_1540x1540.png",
    "publications": [
      {
        "logo_url": "https://substack-post-media.s3.amazonaws.com/public/images/441213db-4824-4e48-9d28-a3a18952cbfc_592x592.png",
        "name": "Lenny's Newsletter",
        "publication_id": "10845",
        "role": "admin",
        "subdomain": "lenny",
        "url": "https://www.lennysnewsletter.com"
      }
    ],
    "recommendation_count": 11,
    "slug": "lenny-rachitsky",
    "subscriber_count": 1200000,
    "subscriber_count_label": "1.2M+",
    "subscriptions": [
      {
        "logo_url": "https://substack-post-media.s3.amazonaws.com/public/images/cc7ca458-37ff-4275-a738-d25e07f498c2_1280x1280.png",
        "name": "@jasmine’s substack",
        "plan": "paid",
        "publication_id": "6027",
        "subdomain": "jasmine",
        "url": "https://jasmi.news"
      }
    ],
    "subscriptions_count": 109,
    "twitter_handle": "lennysan",
    "url": "https://substack.com/@lenny",
    "user_id": "1849774",
    "username": "lenny"
  }
}

Your Usage

Free tier this month
Loading...
Recent Activity